### Method

# FwupdPlugin UdevDevice set_bind_id

since: 1.7.2

#### Declaration [src]

    void
    fu_udev_device_set_bind_id (
      FuUdevDevice* self,
      const gchar* bind_id
    )

#### Description [src]

Sets the device ID used for binding the device, e.g. `pci:1:2:3`.

Available since: 1.7.2

Sets property | `FwupdPlugin.UdevDevice:bind-id`

#### Parameters

`bind_id`

  Type: `const gchar*`

  A bind-id string, e.g. `pci:0:0:1`.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.